## Dataset Repository for "Have We Reached Consensus? An Analysis of Distributed Systems Syllabi" 
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.4290623.svg)](https://doi.org/10.5281/zenodo.4290623) [![License: CC BY 4.0](https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg)](https://creativecommons.org/licenses/by/4.0/)

This repository contains a curated dataset of 51 syllabi of Distributed Systems courses across the world. The dataset can be used to analyze current trends in teaching distributed systems (as of 11/2020). For a detailed description of our compilation and curation process, please refer to our SIGCSE paper (see reference below). The preferred way to cite this dataset if for others to cite our SIGCSE paper and optionally include a footnote with a link to the [Zenodo repository](https://doi.org/10.5281/zenodo.4290623). 

## Paper

Cristina L. Abad, Eduardo Ortiz-Holguin, and Edwin F. Boza. 2021. Have We Reached Consensus?: An Analysis of Distributed Systems Syllabi. In Proceedings of the 52nd ACM Technical Symposium on Computer ScienceEducation (SIGCSE ’21), March 13–20, 2021, Virtual Event, USA.ACM, NewYork, NY, USA, 7 pages. 

[![DOI](https://zenodo.org/badge/DOI/10.1145/3408877.3432409.svg)](https://doi.org/10.1145/3408877.3432409)


### Abstract

> Correctly applying distributed systems concepts is important for software that seeks to be scalable, reliable and fast. For this reason, Distributed Systems is a course included in many Computer Science programs. To both describe current trends in teaching distributed systems and as a reference for educators that seek to improve the quality of their syllabi, we present a review of 51 syllabi of distributed systems courses from top Computer Science programs around the world. We manually curated the syllabi and extracted data that allowed us to identify approaches used in teaching this subject, including choice of topics, book, and paper reading list. We present our results and a discussion on whether what is being taught matches the guidelines of two important curriculum initiatives.

## Dataset

The curated dataset is available as machine-readable CSV files under the [/data](data) folder.
